-- MySQL Administrator dump 1.4
--
-- ------------------------------------------------------
-- Server version	5.1.31-community


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;


--
-- Create schema znalec
--

CREATE DATABASE IF NOT EXISTS znalec;
USE znalec;

--
-- Definition of table `atributfaktu`
--

DROP TABLE IF EXISTS `atributfaktu`;
CREATE TABLE `atributfaktu` (
  `PK` bigint(20) NOT NULL AUTO_INCREMENT,
  `typ` varchar(255) NOT NULL,
  `kod` varchar(255) NOT NULL,
  `nazov` varchar(255) NOT NULL,
  `povinny` bit(1) NOT NULL,
  `typFaktu` bigint(20) NOT NULL,
  `minimalnaCelociselnaHodnota` bigint(20) DEFAULT NULL,
  `maximalnaCelociselnaHodnota` bigint(20) DEFAULT NULL,
  `minimalnyDatum` datetime DEFAULT NULL,
  `maximalnyDatum` datetime DEFAULT NULL,
  `vzor` varchar(255) DEFAULT NULL,
  `minimalnaDesatinnaHodnota` double DEFAULT NULL,
  `maximalnaDesatinnaHodnota` double DEFAULT NULL,
  `minimalnaDlzka` int(11) DEFAULT NULL,
  `maximalnaDlzka` int(11) DEFAULT NULL,
  `ciselnik` bigint(20) DEFAULT NULL,
  `poradie` int(11) DEFAULT NULL,
  PRIMARY KEY (`PK`),
  KEY `FKB7E00F5AE101CD8B` (`typFaktu`),
  KEY `FKB7E00F5A84405897` (`ciselnik`),
  CONSTRAINT `FKB7E00F5A84405897` FOREIGN KEY (`ciselnik`) REFERENCES `ciselnik` (`PK`),
  CONSTRAINT `FKB7E00F5AE101CD8B` FOREIGN KEY (`typFaktu`) REFERENCES `typfaktu` (`PK`)
) ENGINE=InnoDB AUTO_INCREMENT=67 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `atributfaktu`
--

/*!40000 ALTER TABLE `atributfaktu` DISABLE KEYS */;
INSERT INTO `atributfaktu` (`PK`,`typ`,`kod`,`nazov`,`povinny`,`typFaktu`,`minimalnaCelociselnaHodnota`,`maximalnaCelociselnaHodnota`,`minimalnyDatum`,`maximalnyDatum`,`vzor`,`minimalnaDesatinnaHodnota`,`maximalnaDesatinnaHodnota`,`minimalnaDlzka`,`maximalnaDlzka`,`ciselnik`,`poradie`) VALUES 
 (4,'textovy','JAZYK','Jazyk',0x01,3,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,0),
 (5,'celociselny','DLZKA','Dĺžka',0x01,3,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1),
 (6,'boolovsky','SKOLSKY','Školský',0x01,3,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2),
 (32,'celociselny','DLZKA_TRVANIA','Dĺžka trvania',0x01,15,1,1500,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0),
 (33,'textovy','ORGANIZACIA','Organizácia',0x01,15,NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,64,NULL,1),
 (34,'textovy','LOKALITA','Lokalita',0x01,15,NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,256,NULL,2),
 (36,'celociselny','DLZKA_TRVANIA','Dĺžka trvania',0x01,17,1,60,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0),
 (37,'ciselnikovy','ODBORNOST','Odbornosť',0x01,17,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,8,1),
 (38,'textovy','ORGANIZACIA','Organizácia',0x01,17,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,64,NULL,2),
 (39,'textovy','LOKALITA','Lokalita',0x01,17,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,128,NULL,3),
 (40,'ciselnikovy','TYP','Typ',0x01,18,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,9,0),
 (41,'ciselnikovy','UMIESTNENIE','Umiestnenie',0x01,18,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,10,1),
 (42,'datumovy','PLATNOST','Platný do',0x00,19,NULL,NULL,'2000-01-01 00:00:00','2040-01-01 00:00:00','dd.MM.yyyy',NULL,NULL,NULL,NULL,NULL,0),
 (43,'celociselny','CITACIE','Počet citácií',0x01,20,0,5000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0),
 (44,'celociselny','POCET_STRAN','Počet strán',0x01,20,1,2000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1),
 (45,'celociselny','ROK','Rok',0x01,20,1980,2040,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2),
 (46,'textovy','VYDAVATEL','Vydavateľ',0x01,20,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,64,NULL,3),
 (47,'textovy','ISBN','ISBN',0x00,20,NULL,NULL,NULL,NULL,NULL,NULL,NULL,9,20,NULL,4),
 (48,'textovy','KONFERENCIA','Konferencia',0x01,21,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,256,NULL,0),
 (49,'textovy','ORGANIZATOR','Organizátor',0x01,21,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,64,NULL,1),
 (50,'textovy','LOKALITA','Lokalita',0x01,21,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,128,NULL,2),
 (51,'celociselny','ROK','Rok',0x01,21,1990,2020,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,3),
 (52,'ciselnikovy','ROZSAH','Rozsah',0x01,21,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,9,4),
 (53,'celociselny','ROK','Rok',0x01,22,1990,2020,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0),
 (54,'ciselnikovy','DRUH_PRACE','Druh práce',0x01,22,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),
 (55,'textovy','VEDUCI','Vedúci',0x01,22,NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,64,NULL,2),
 (56,'textovy','OPONENT','Oponent',0x01,22,NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,64,NULL,3),
 (57,'ciselnikovy','ZNAMKA_VEDUCI','Známka od vedúceho',0x01,22,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),
 (58,'ciselnikovy','ZNAMKA_OPONENT','Známka od oponenta',0x01,22,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),
 (59,'boolovsky','VYNIMOCNA_PRACA','Výnimočná práca',0x01,22,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,6),
 (60,'ciselnikovy','UROVEN','Úroveň',0x01,19,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,8,1),
 (61,'textovy','KOD','Kód',0x01,4,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,10,NULL,0),
 (62,'textovy','ODBOR','Odbor',0x01,4,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,15,NULL,1),
 (63,'celociselny','KREDIT','Počet kreditov',0x01,4,0,30,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2),
 (64,'ciselnikovy','STUPEN','Stupeň štúdia',0x01,4,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,3),
 (65,'ciselnikovy','UKONCENIE','Spôsob ukončenia',0x01,4,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,4),
 (66,'ciselnikovy','ZNAMKA','Známka',0x01,4,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5);
/*!40000 ALTER TABLE `atributfaktu` ENABLE KEYS */;


--
-- Definition of table `ciselnik`
--

DROP TABLE IF EXISTS `ciselnik`;
CREATE TABLE `ciselnik` (
  `PK` bigint(20) NOT NULL AUTO_INCREMENT,
  `kodCiselnika` varchar(255) NOT NULL,
  `nazov` varchar(255) NOT NULL,
  `kvantifikovatelnyCiselnik` bit(1) NOT NULL,
  PRIMARY KEY (`PK`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `ciselnik`
--

/*!40000 ALTER TABLE `ciselnik` DISABLE KEYS */;
INSERT INTO `ciselnik` (`PK`,`kodCiselnika`,`nazov`,`kvantifikovatelnyCiselnik`) VALUES 
 (2,'PREDMET_ZNAMKA','Známka z predmetu',0x01),
 (3,'TYP_UKONCENIA','Spôsob ukončenia predmetu',0x01),
 (5,'STUPEN_STUDIA','Stupeň štúdia',0x01),
 (8,'UROVEN_ODBORNOSTI','Úroveň odbornosti',0x01),
 (9,'TYP_SUTAZE','Typ súťaže',0x01),
 (10,'PORADIE','Poradie',0x01);
/*!40000 ALTER TABLE `ciselnik` ENABLE KEYS */;


--
-- Definition of table `fakt`
--

DROP TABLE IF EXISTS `fakt`;
CREATE TABLE `fakt` (
  `PK` bigint(20) NOT NULL AUTO_INCREMENT,
  `vysledok` double DEFAULT NULL,
  `nazov` varchar(255) NOT NULL,
  `typFaktu` bigint(20) NOT NULL,
  `student` bigint(20) NOT NULL,
  `potvrdzujuciPedagog` bigint(20) DEFAULT NULL,
  `potvrdenie` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`PK`),
  KEY `FK2FD7644AEE72B7` (`student`),
  KEY `FK2FD764E101CD8B` (`typFaktu`),
  KEY `FK2FD7643F855C5C` (`potvrdzujuciPedagog`),
  CONSTRAINT `FK2FD7643F855C5C` FOREIGN KEY (`potvrdzujuciPedagog`) REFERENCES `pedagog` (`PK`),
  CONSTRAINT `FK2FD7644AEE72B7` FOREIGN KEY (`student`) REFERENCES `student` (`PK`),
  CONSTRAINT `FK2FD764E101CD8B` FOREIGN KEY (`typFaktu`) REFERENCES `typfaktu` (`PK`)
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `fakt`
--

/*!40000 ALTER TABLE `fakt` DISABLE KEYS */;
/*!40000 ALTER TABLE `fakt` ENABLE KEYS */;


--
-- Definition of table `hodnotaatributufaktu`
--

DROP TABLE IF EXISTS `hodnotaatributufaktu`;
CREATE TABLE `hodnotaatributufaktu` (
  `PK` bigint(20) NOT NULL AUTO_INCREMENT,
  `typ` varchar(255) NOT NULL,
  `fakt` bigint(20) NOT NULL,
  `atributFaktu` bigint(20) NOT NULL,
  `boolovksaHodnota` bit(1) DEFAULT NULL,
  `celociselnaHodnota` bigint(20) DEFAULT NULL,
  `hodnotaCiselnika` bigint(20) DEFAULT NULL,
  `datumovaHodnota` datetime DEFAULT NULL,
  `desatinnaHodnota` double DEFAULT NULL,
  `textovaHodnota` varchar(255) DEFAULT NULL,
  `poradie` int(11) DEFAULT NULL,
  PRIMARY KEY (`PK`),
  KEY `FK314A45C895AB80F3` (`atributFaktu`),
  KEY `FK314A45C8CBFEA933` (`hodnotaCiselnika`),
  KEY `FK314A45C8EA59D027` (`fakt`),
  CONSTRAINT `FK314A45C895AB80F3` FOREIGN KEY (`atributFaktu`) REFERENCES `atributfaktu` (`PK`),
  CONSTRAINT `FK314A45C8CBFEA933` FOREIGN KEY (`hodnotaCiselnika`) REFERENCES `hodnotaciselnika` (`PK`),
  CONSTRAINT `FK314A45C8EA59D027` FOREIGN KEY (`fakt`) REFERENCES `fakt` (`PK`)
) ENGINE=InnoDB AUTO_INCREMENT=50 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `hodnotaatributufaktu`
--

/*!40000 ALTER TABLE `hodnotaatributufaktu` DISABLE KEYS */;
/*!40000 ALTER TABLE `hodnotaatributufaktu` ENABLE KEYS */;


--
-- Definition of table `hodnotaciselnika`
--

DROP TABLE IF EXISTS `hodnotaciselnika`;
CREATE TABLE `hodnotaciselnika` (
  `PK` bigint(20) NOT NULL AUTO_INCREMENT,
  `kod` varchar(255) NOT NULL,
  `nazov` varchar(255) NOT NULL,
  `hodnota` double DEFAULT NULL,
  `ciselnik` bigint(20) NOT NULL,
  PRIMARY KEY (`PK`),
  KEY `FK158E3F3A84405897` (`ciselnik`),
  CONSTRAINT `FK158E3F3A84405897` FOREIGN KEY (`ciselnik`) REFERENCES `ciselnik` (`PK`)
) ENGINE=InnoDB AUTO_INCREMENT=33 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `hodnotaciselnika`
--

/*!40000 ALTER TABLE `hodnotaciselnika` DISABLE KEYS */;
INSERT INTO `hodnotaciselnika` (`PK`,`kod`,`nazov`,`hodnota`,`ciselnik`) VALUES 
 (1,'A','A',1,2),
 (2,'B','B',1.5,2),
 (3,'C','C',2,2),
 (4,'D','D',2.5,2),
 (5,'E','E',3,2),
 (6,'FX','FX',4,2),
 (7,'Z','zápočet',1,3),
 (8,'KZ','klasifikovaný zápočet',1.5,3),
 (9,'S','skúška',3,3),
 (10,'ŠS','štátna skúška',5,3),
 (16,'BC','Bakalársky',1,5),
 (17,'ING','Inžiniersky',2,5),
 (18,'PHD','Doktorandský',5,5),
 (22,'ZACIATOCNIK','začiatočník',1,8),
 (23,'MIERNE','mierne pokročilý',1.5,8),
 (24,'POKROCILY','pokročilý',2,8),
 (25,'EXPERT','expert',2.5,8),
 (26,'MIESTNA','Miestna',1,9),
 (27,'CELOSTATNA','Celoštátna',1.5,9),
 (28,'MEDZINARODNA','Medzinárodná',2,9),
 (29,'PRVY','Prvé miesto',4,10),
 (30,'DRUHY','Druhé miesto',3,10),
 (31,'TRETI','Tretie miesto',2,10),
 (32,'INE','Iné',1,10);
/*!40000 ALTER TABLE `hodnotaciselnika` ENABLE KEYS */;


--
-- Definition of table `klucoveslovo`
--

DROP TABLE IF EXISTS `klucoveslovo`;
CREATE TABLE `klucoveslovo` (
  `PK` bigint(20) NOT NULL AUTO_INCREMENT,
  `nazov` varchar(255) NOT NULL,
  PRIMARY KEY (`PK`)
) ENGINE=InnoDB AUTO_INCREMENT=49 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `klucoveslovo`
--

/*!40000 ALTER TABLE `klucoveslovo` DISABLE KEYS */;
INSERT INTO `klucoveslovo` (`PK`,`nazov`) VALUES 
 (1,'Java'),
 (2,'PHP'),
 (3,'OOP'),
 (4,'Návrhové vzory'),
 (5,'Prekladače'),
 (6,'Evolučné programovanie'),
 (7,'UML'),
 (10,'Java SE'),
 (11,'Java EE'),
 (12,'Java ME'),
 (13,'Eclipse'),
 (14,'NetBeans'),
 (15,'JavaScript'),
 (16,'Ajax'),
 (17,'XML'),
 (18,'XPath'),
 (19,'XSLT'),
 (20,'jUnit'),
 (21,'Visual Studio'),
 (22,'C'),
 (23,'C++'),
 (24,'C#'),
 (25,'Assembler'),
 (26,'Pascal'),
 (27,'Visual Basic'),
 (28,'Basic'),
 (30,'HTML'),
 (31,'CSS'),
 (32,'Lua'),
 (33,'DirectX'),
 (34,'OpenGL'),
 (35,'graf'),
 (36,'kostra grafu'),
 (37,'Windows'),
 (38,'Unix'),
 (39,'Linux'),
 (40,'SQL'),
 (41,'PL/SQL'),
 (42,'MySQL'),
 (43,'SQL Server'),
 (44,'Windows Workflow Foundation'),
 (45,'Windows Presentation Foundation'),
 (46,'Windows Communication Foundation'),
 (47,'Delphi');
/*!40000 ALTER TABLE `klucoveslovo` ENABLE KEYS */;


--
-- Definition of table `pedagog`
--

DROP TABLE IF EXISTS `pedagog`;
CREATE TABLE `pedagog` (
  `PK` bigint(20) NOT NULL AUTO_INCREMENT,
  `pouzivatel` bigint(20) NOT NULL,
  `fakulta` varchar(255) NOT NULL,
  `pracovisko` varchar(255) NOT NULL,
  PRIMARY KEY (`PK`),
  UNIQUE KEY `pouzivatel` (`pouzivatel`),
  KEY `FKD6C23A0D7C1F2775` (`pouzivatel`),
  CONSTRAINT `FKD6C23A0D7C1F2775` FOREIGN KEY (`pouzivatel`) REFERENCES `pouzivatel` (`PK`)
) ENGINE=InnoDB AUTO_INCREMENT=19 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `pedagog`
--

/*!40000 ALTER TABLE `pedagog` DISABLE KEYS */;
/*!40000 ALTER TABLE `pedagog` ENABLE KEYS */;


--
-- Definition of table `pouzivatel`
--

DROP TABLE IF EXISTS `pouzivatel`;
CREATE TABLE `pouzivatel` (
  `PK` bigint(20) NOT NULL AUTO_INCREMENT,
  `login` varchar(255) NOT NULL,
  `heslo` varchar(255) NOT NULL,
  `meno` varchar(255) NOT NULL,
  `priezvisko` varchar(255) NOT NULL,
  `email` varchar(255) NOT NULL,
  `administrator` bit(1) NOT NULL,
  `konfigurator` bit(1) NOT NULL,
  `ID` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`PK`)
) ENGINE=InnoDB AUTO_INCREMENT=26 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `pouzivatel`
--

/*!40000 ALTER TABLE `pouzivatel` DISABLE KEYS */;
INSERT INTO `pouzivatel` (`PK`,`login`,`heslo`,`meno`,`priezvisko`,`email`,`administrator`,`konfigurator`,`ID`) VALUES 
 (1,'admin','admin','Administrator','Administratorovy','admin@admin.com',0x01,0x00,NULL);
/*!40000 ALTER TABLE `pouzivatel` ENABLE KEYS */;


--
-- Definition of table `student`
--

DROP TABLE IF EXISTS `student`;
CREATE TABLE `student` (
  `PK` bigint(20) NOT NULL AUTO_INCREMENT,
  `verejnyProfil` bit(1) NOT NULL,
  `verejneFakty` bit(1) NOT NULL,
  `pouzivatel` bigint(20) NOT NULL,
  `rokStudia` int(11) NOT NULL,
  `nastup` datetime NOT NULL,
  `stupenStudia` bigint(20) NOT NULL,
  `ID` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`PK`),
  UNIQUE KEY `pouzivatel` (`pouzivatel`),
  KEY `FK8FFE823B7C1F2775` (`pouzivatel`),
  KEY `FK8FFE823BA7FACA66` (`stupenStudia`),
  CONSTRAINT `FK8FFE823B7C1F2775` FOREIGN KEY (`pouzivatel`) REFERENCES `pouzivatel` (`PK`),
  CONSTRAINT `FK8FFE823BA7FACA66` FOREIGN KEY (`stupenStudia`) REFERENCES `hodnotaciselnika` (`PK`)
) ENGINE=InnoDB AUTO_INCREMENT=18 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `student`
--

/*!40000 ALTER TABLE `student` DISABLE KEYS */;
/*!40000 ALTER TABLE `student` ENABLE KEYS */;


--
-- Definition of table `typfaktu`
--

DROP TABLE IF EXISTS `typfaktu`;
CREATE TABLE `typfaktu` (
  `PK` bigint(20) NOT NULL AUTO_INCREMENT,
  `nazov` varchar(255) NOT NULL,
  `vzorec` varchar(255) DEFAULT NULL,
  `nutnePotvrdit` bit(1) DEFAULT NULL,
  `editovatelny` bit(1) DEFAULT NULL,
  PRIMARY KEY (`PK`)
) ENGINE=InnoDB AUTO_INCREMENT=23 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `typfaktu`
--

/*!40000 ALTER TABLE `typfaktu` DISABLE KEYS */;
INSERT INTO `typfaktu` (`PK`,`nazov`,`vzorec`,`nutnePotvrdit`,`editovatelny`) VALUES 
 (3,'Projekt',' DLZKA * SKOLSKY',0x01,0x01),
 (4,'Predmet',' ( KREDIT * STUPEN * UKONCENIE )  / ZNAMKA',0x00,0x00),
 (15,'Stáž','DLZKA_TRVANIA /  30',0x00,0x01),
 (17,'Školenie','DLZKA_TRVANIA /  3  * ODBORNOST',0x00,0x01),
 (18,'Súťaž',' ( TYP * UMIESTNENIE )  /  5',0x01,0x01),
 (19,'Certifikát','UROVEN +  3',0x00,0x01),
 (20,'Publikácia','POCET_STRAN /  200  * CITACIE /  3',0x01,0x01),
 (21,'Príspevok na konferencii','ROZSAH',0x01,0x01),
 (22,'Záverečná práca',' 1  /  ( ZNAMKA_VEDUCI * ZNAMKA_OPONENT )  * DRUH_PRACE * VYNIMOCNA_PRACA',0x01,0x01);
/*!40000 ALTER TABLE `typfaktu` ENABLE KEYS */;


--
-- Definition of table `vahaslovofakt`
--

DROP TABLE IF EXISTS `vahaslovofakt`;
CREATE TABLE `vahaslovofakt` (
  `PK` bigint(20) NOT NULL AUTO_INCREMENT,
  `percento` double NOT NULL,
  `klucoveSlovo` bigint(20) NOT NULL,
  `fakt` bigint(20) NOT NULL,
  PRIMARY KEY (`PK`),
  KEY `FK14A981EFEA59D027` (`fakt`),
  KEY `FK14A981EF6CB6D73F` (`klucoveSlovo`),
  CONSTRAINT `FK14A981EF6CB6D73F` FOREIGN KEY (`klucoveSlovo`) REFERENCES `klucoveslovo` (`PK`),
  CONSTRAINT `FK14A981EFEA59D027` FOREIGN KEY (`fakt`) REFERENCES `fakt` (`PK`)
) ENGINE=InnoDB AUTO_INCREMENT=30 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `vahaslovofakt`
--

/*!40000 ALTER TABLE `vahaslovofakt` DISABLE KEYS */;
/*!40000 ALTER TABLE `vahaslovofakt` ENABLE KEYS */;


--
-- Definition of table `vahaslovoznalost`
--

DROP TABLE IF EXISTS `vahaslovoznalost`;
CREATE TABLE `vahaslovoznalost` (
  `PK` bigint(20) NOT NULL AUTO_INCREMENT,
  `percento` double NOT NULL,
  `znalost` bigint(20) NOT NULL,
  `klucoveSlovo` bigint(20) NOT NULL,
  PRIMARY KEY (`PK`),
  KEY `FKB16445E618DF6EE3` (`znalost`),
  KEY `FKB16445E66CB6D73F` (`klucoveSlovo`),
  CONSTRAINT `FKB16445E618DF6EE3` FOREIGN KEY (`znalost`) REFERENCES `znalost` (`PK`),
  CONSTRAINT `FKB16445E66CB6D73F` FOREIGN KEY (`klucoveSlovo`) REFERENCES `klucoveslovo` (`PK`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `vahaslovoznalost`
--

/*!40000 ALTER TABLE `vahaslovoznalost` DISABLE KEYS */;
/*!40000 ALTER TABLE `vahaslovoznalost` ENABLE KEYS */;


--
-- Definition of table `znalost`
--

DROP TABLE IF EXISTS `znalost`;
CREATE TABLE `znalost` (
  `PK` bigint(20) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `pedagog` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`PK`),
  KEY `FKF6F70051D875E25B` (`pedagog`),
  CONSTRAINT `FKF6F70051D875E25B` FOREIGN KEY (`pedagog`) REFERENCES `pedagog` (`PK`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `znalost`
--

/*!40000 ALTER TABLE `znalost` DISABLE KEYS */;
/*!40000 ALTER TABLE `znalost` ENABLE KEYS */;




/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
